package be.iminds.ilabt.jfed.restapi.jfedclient;

import be.iminds.ilabt.jfed.lowlevel.AnyCredential;
import be.iminds.ilabt.jfed.lowlevel.SimpleGeniUserWithSpeaksFor;
import be.iminds.ilabt.jfed.lowlevel.userloginmodel.InvalidLoginException;
import be.iminds.ilabt.jfed.util.GeniUrn;

import java.io.IOException;

/**
 * JFedExperimenterApiFactory
 */
public interface JFedExperimenterApiFactory {
    JFedExperimenterApi create(AnyCredential speaksForCredential, GeniUrn speakingFor)
            throws SimpleGeniUserWithSpeaksFor.InvalidSpeaksForException, InvalidLoginException, IOException;
}
